PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List sites GETCreate a site POSTGet a site GETUpdate a site PATCHDelete a site DELETEPublish a site POSTUnpublish a site POSTList pages GETCreate a page POSTGet a page GETUpdate a page PATCHDelete a page DELETEList collections GETCreate a collection POSTGet a collection GETUpdate a collection PATCHDelete a collection DELETEList collection items GETCreate a collection item POSTGet a collection item GETUpdate a collection item PATCHDelete a collection item DELETEPublish collection items POSTUnpublish collection items POSTArchive collection items POSTUpsert collection items POST
Sites

Update a site

PATCH
/sites/{siteId}

Authorization

x-api-key<token>

In: header

Path Parameters

siteId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/sites/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "name": "string",    "slug": "string",    "language": "string",    "url": "string",    "theme": {      "background": "string",      "foreground": "string",      "primary": "string",      "primaryForeground": "string",      "muted": "string",      "surface": "string",      "border": "string",      "dark": {        "background": "string",        "foreground": "string",        "primary": "string",        "primaryForeground": "string",        "muted": "string",        "surface": "string",        "border": "string"      },      "defaultMode": "light",      "fontFamily": "string",      "searchEngines": {        "index": true,        "follow": true      }    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

Get a site GET

Previous Page

Delete a site DELETE

Moves the site to trash for 30 days.

name?string
Lengthlength <= 80
slug?string
Length2 <= length <= 48
language?string
Lengthlength <= 16
theme?

Colors, fonts, icon, and searchEngines. Unknown keys are dropped.